import { Keystore } from '../credentials';
interface AndroidCredentials {
    keystore: Keystore;
}
interface iOSCredentials {
    provisioningProfile: string;
    distributionCertificate: {
        certP12: string;
        certPassword: string;
    };
}
declare function fileExistsAsync(projectDir: string): Promise<boolean>;
declare function readAndroidAsync(projectDir: string): Promise<AndroidCredentials>;
declare function readIosAsync(projectDir: string): Promise<iOSCredentials>;
declare const _default: {
    readAndroidAsync: typeof readAndroidAsync;
    readIosAsync: typeof readIosAsync;
    fileExistsAsync: typeof fileExistsAsync;
};
export default _default;
