import { CredentialsProvider } from './provider';
import { CredentialsSource } from '../../easJson';
export interface iOSCredentials {
    provisioningProfile: string;
    distributionCertificate: {
        certP12: string;
        certPassword: string;
    };
}
interface Options {
    projectName: string;
    accountName: string;
    bundleIdentifier: string;
}
export default class iOSCredentialsProvider implements CredentialsProvider {
    private projectDir;
    private options;
    readonly platform = "ios";
    private readonly ctx;
    private credentials?;
    constructor(projectDir: string, options: Options);
    get projectFullName(): string;
    initAsync(): Promise<void>;
    hasRemoteAsync(): Promise<boolean>;
    hasLocalAsync(): Promise<boolean>;
    isLocalSyncedAsync(): Promise<boolean>;
    getCredentialsAsync(src: CredentialsSource.LOCAL | CredentialsSource.REMOTE): Promise<iOSCredentials>;
    private getLocalAsync;
    private getRemoteAsync;
}
export {};
